/*

HXED, Version 2.00, a Hexadecimal Editor for Binary Files
Copyright 1991 Anthony F. Stuart, All rights reserved.

Date    Name	Change
910209	AFS	Initial release

*/


/* The editor uses the global variables base_addr and this_addr		*/
/* to keep track of the beginning of the current display page and	*/
/* the current cursor location. Both are offsets into the file.		*/

/* The term "nibble" is used throughout the editor source code to	*/
/* refer to a half-byte quantity, i.e. four bits.			*/

/* Lookup table used to return value associated with a hex digit	*/

char	*lookup = "0123456789abcdef";

/* Maxima and Minima */

int	 minrow	= 0;		/* top most row number			*/
int	 mincol = 0;		/* left most column number		*/
int	 maxrow = 24;		/* bottom most row number		*/
int	 maxcol = 79;		/* right most column number		*/

int	 header_row = 0;	/* row for header line			*/
int	 header_col = 0;	/* column for beginning of header	*/

int	 text_row = 2;		/* row for first text line		*/
int	 text_col = 0;		/* column for beginning of text		*/

int	 footer_row = 23;	/* row for footer line			*/
int	 footer_col = 0;	/* column for beginning of footer	*/

int	 message_row = 24;	/* row for message line			*/
int	 message_col = 0;	/* column for beginning of message	*/

int	 text_maxrow = 21;	/* as an offset, relative to zero	*/
int	 text_maxcol = 79;	/* as an offset, relative to zero	*/

int	 help_row = 3;		/* top row of help display		*/
int	 help_col = 7;		/* left most column of help display	*/

int	 insert_mode = FALSE;	/* current insert/overtype mode state	*/
int	 hex_mode = FALSE;	/* current hex/ascii mode state		*/
int	 silent_mode = FALSE;	/* current silent/beep mode state	*/

int	 bytes_per_line = 16;	/* dump format is 16 bytes per line	*/
int	 lines_per_page = 20;	/* text area has 20 line lines per page */
int	 bytes_per_page = 320;	/* bytes_per_line * lines_per_page	*/
int	 nibbles_per_addr = 8;	/* nibbles for formatting addresses	*/

x_addr	 base_addr;		/* address of first byte on page	*/
x_addr	 this_addr;		/* address of current cursor location	*/

char	 def_disp;		/* initiliazed in dos.c or unix.c	*/
int	 header_attr;		/* video attributes for header line	*/
int	 text_attr;		/* video attributes for text area	*/
int	 cursor_attr;		/* video attributes for cursor		*/
int	 footer_attr;		/* video attributes for footer line	*/
int	 message_attr;		/* video attributes for message line	*/

jmp_buf error_return;		/* error return for non-fatal errors	*/


