/*

HXED, Version 2.00, a Hexadecimal Editor for Binary Files
Copyright 1991 Anthony F. Stuart, All rights reserved.

Date    Name	Change
910209	AFS	Initial release

*/


/* Screen Format Declarations */

/*
Data Area Format:

          1         2         3         4         5         6
01234567890123456789012345678901234567890123456789012345678901234567890123456789
00000000  00 00 00 00 00 00 00 00  --  00 00 00 00 00 00 00 00  ................
*/

char *fmt_buf = "00000000                           --                                           ";

/* Map of characters in address field to columns in output display */

unsigned char adr_map[] = {
	 7,  6,  5,  4,  3,  2,  1,  0,
};

/* Map of hexadecimal fields to columns in output display */

unsigned char hex_map[] = {
	10, 13, 16, 19, 22, 25, 28, 31,
	39, 42, 45, 48, 51, 54, 57, 60,
};

/* Map of ascii fields to columns in output display */

unsigned char asc_map[] = {
	64, 65, 66, 67, 68, 69, 70, 71,
	72, 73, 74, 75, 76, 77, 78, 79,
};

/*
Header Format:

          1         2         3         4         5         6	      7
01234567890123456789012345678901234567890123456789012345678901234567890123456789
Current Addr: 00000000    Current Size: 00000000     Overtype Mode    Ascii Mode        
*/


char	*hdr_fmt = "Current Addr: 00000000    Current Size: 00000000     Overtype Mode    Ascii Mode";
int	 hdr_addr_col = 14;	/* column number of header address field */
int	 hdr_size_col = 40;	/* column number of header size field	*/
int	 hdr_insmode_col = 53;	/* header insert/overtype mode field	*/
int	 hdr_hexmode_col = 70;	/* header hexadecimal/ascii mode field	*/

/*
Footer Format:

	  1	    2	      3		4	  5	    6	      7
01234567890123456789012345678901234567890123456789012345678901234567890123456789
File: testdata.tmp   Modified: 14:22:01   On: 05/12/90   Original Size: 00000000
*/

char	*ftr_fmt = "File:                Modified:            On:            Original Size:         ";
int	 ftr_name_col = 6;	/* column number of footer name field	*/
int	 ftr_time_col = 31;	/* column number of footer time field	*/
int	 ftr_date_col = 46;	/* column number of footer date field	*/
int	 ftr_size_col = 72;	/* column number of footer size field	*/


