/*

HXED, Version 2.00, a Hexadecimal Editor for Binary Files
Copyright 1991 Anthony F. Stuart, All rights reserved.

Date    Name	Change
910209	AFS	Initial release

*/


/* Master Control Block */

/* This structure contains fields related to the file being edited */

#define MCB struct mcd

MCB {
	char	*base_path;	/* name of file being edited		*/
	int	 base_fd;	/* file descriptor of file being edited	*/
	char	 temp_path[TP];	/* name of temporary file		*/
	int	 temp_fd;	/* file descriptor of temporary file	*/
	char	*base_file;	/* last component of base path		*/
	x_addr	 temp_addr;	/* addr of next slot in temp file	*/
	int	 bp_size;	/* number of buffers in buffer pool	*/
	x_addr	 offset;	/* offset of first byte of this_fmn	*/
	x_addr	 len;		/* length of file			*/
	x_addr	 original_len;	/* original length of file		*/
	time_t	 base_mtime;	/* time base file was last modified	*/
	FMN	*head_fmn;	/* head of file map node list		*/
	FMN	*tail_fmn;	/* tail of file map node list		*/
	FMN	*this_fmn;	/* file map node associated w/offset	*/
	BPN	*head_bpn;	/* head of buffer pool list		*/
	char	 def_fill;	/* default fill character		*/
	char	 change;	/* flag indicating file has changed	*/
	char	 backup;	/* create backup file on write		*/
};

extern MCB	*mcb;		/* current file master control block	*/
